Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class FolderIndexAgent

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.agents.FolderIndexAgent

All Implemented Interfaces:
  IfsEventHandler, ServerInterface, TimerContext

    public class FolderIndexAgent

extends ClusteredServer
implements IfsEventHandler

FolderIndexAgent is used to apply changes to the Folder index asynchronously when the index is configured to process updates asynchronously.

(Unpublished)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`FolderIndexAgent()` Constructs the FolderIndexAgent.

Method Summary
`void` | `disableEventListening()` Disable listening for events on the FolderIndex propertybundle
`void` | `enableEventListening()` Enable listening events on the Folder Index propertyBundle
`void` | `handleEvent(IfsEvent event)` Handles events.
`protected void` | `handleResumeRequest()` handle the resume request.
`protected void` | `handleSuspendRequest()` handle the suspend request.
`protected void` | `handleTimerExpired()` Handles a timer expiration.
`void` | `initialize()` Perform one time initialization tasks upon loading.
`boolean` | `isAgent()` Gets whether this Server is an agent.
`static void` | `main(java.lang.String[] args)` Runs the FolderIndexAgent in standalone mode.
`void` | `postRun()` Performs post-run tasks for this FolderIndexAgent.
`void` | `processEvent(IfsEvent event)` Process the next event
`void` | `run()` Runs this agent.
`boolean` | `supportsSuspendResume()` Gets whether suspend/resume is supported.

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, deriveAgentIdentifier, deriveRunningServerIdentifier, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, handleRequest, initializeRegistration, isPropertyReadonly, isRegistered, isServerRunning, isTokenNonCompeting, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, getTimerConfiguration, handlePriorityChangeRequest, handlePropertyChangeRequest, handlePropertyChangeRequest, handleRequests, handleStopRequest, isTimerActive, postRequest, preRun, processEvents, queueEvent, resetTimer, restart, resume, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FolderIndexAgent

    public FolderIndexAgent()
                     throws IfsException

  Constructs the FolderIndexAgent.

  Throws:
    `IfsException` - (IFS-46000) if the operation fails
  (Unpublished)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Description copied from class: `FolderIndexAgent`
  Runs the FolderIndexAgent in standalone mode.

  Parameters:
    `args` - the command line arguments
  Throws:
    `java.lang.Exception` - if the operation fails

### initialize

    public void initialize()
                    throws java.lang.Exception

  Description copied from class: `FolderIndexAgent`
  Perform one time initialization tasks upon loading.

  Overrides:
    `initialize` in class `Server`
  Throws:
    `IfsException` - (IFS-46xxx) if the operation fails
    `java.lang.Exception` - if the operation fails
  (Published)

### isAgent

    public boolean isAgent()
                    throws IfsException

  Description copied from class: `FolderIndexAgent`
  Gets whether this Server is an agent.

  This method is called by iFS administration tools to group together servers that are agents in administration user interfaces.

  Specified by:
    `isAgent` in interface `ServerInterface`
  Overrides:
    `isAgent` in class `Server`
  Returns:
    true
  Throws:
    `IfsException` - (IFS-45178) if the operation fails
  (Published)

### run

    public void run()

  Description copied from class: `FolderIndexAgent`
  Runs this agent.

  Specified by:
    `run` in class `IfsServer`
  (Unpublished)

### postRun

    public void postRun()

  Description copied from class: `FolderIndexAgent`
  Performs post-run tasks for this FolderIndexAgent.

  Overrides:
    `postRun` in class `IfsServer`
  (Unpublished)

### supportsSuspendResume

    public boolean supportsSuspendResume()

  Description copied from class: `FolderIndexAgent`
  Gets whether suspend/resume is supported.

  Specified by:
    `supportsSuspendResume` in interface `ServerInterface`
  Overrides:
    `supportsSuspendResume` in class `Server`
  Returns:
    true

### handleSuspendRequest

    protected void handleSuspendRequest()
                                 throws java.lang.Exception

  Description copied from class: `FolderIndexAgent`
  handle the suspend request. Subclasses can override this to perform custom tasks as part of a Suspend request.

  Overrides:
    `handleSuspendRequest` in class `IfsServer`
  Throws:
    `IfsException` - if operation fails
    `java.lang.Exception` - if the operation fails
  (Published)

### handleResumeRequest

    protected void handleResumeRequest()
                                throws java.lang.Exception

  Description copied from class: `FolderIndexAgent`
  handle the resume request. Subclasses can override this to perform custom tasks as part of a Resume request.

  Overrides:
    `handleResumeRequest` in class `IfsServer`
  Throws:
    `IfsException` - if operation fails
    `java.lang.Exception` - if the operation fails
  (Published)

### handleTimerExpired

    protected void handleTimerExpired()
                               throws java.lang.Exception

  Description copied from class: `FolderIndexAgent`
  Handles a timer expiration.

  Overrides:
    `handleTimerExpired` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if operation fails

### enableEventListening

    public void enableEventListening()
                              throws IfsException

  Description copied from class: `FolderIndexAgent`
  Enable listening events on the Folder Index propertyBundle

  Throws:
    `IfsException`
  (Unpublished)

### disableEventListening

    public void disableEventListening()
                               throws IfsException

  Description copied from class: `FolderIndexAgent`
  Disable listening for events on the FolderIndex propertybundle

  Throws:
    `IfsException`
  (Unpublished)

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Description copied from class: `FolderIndexAgent`
  Handles events. This queues the events for processing by the main agent thread.

  Specified by:
    `handleEvent` in interface `IfsEventHandler`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails
  (Published)

### processEvent

    public void processEvent(IfsEvent event)
                      throws IfsException

  Description copied from class: `FolderIndexAgent`
  Process the next event

  Overrides:
    `processEvent` in class `IfsServer`
  Parameters:
    `event` - The next event to process.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD